"use strict";

module.exports = function measureTime(func) {
	let startTime = process.hrtime.bigint();
	let result = func();
	let endTime = process.hrtime.bigint();

	return {
		value: result,
		time: (endTime - startTime)
	};
};
